package com.ruoyi.zhiyuanzhe.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 活动积分对象 b_activity_points
 *
 * @author ruoyi
 * @date 2023-09-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("活动积分对象")
public class BActivityPoints extends BaseEntity {

    private static final long serialVersionUID = -4930809556086744225L;
    /**
     * 编号
     */
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    @ApiModelProperty(value = "用户id")
    private Long uId;

    /**
     * 积分
     */
    @Excel(name = "积分")
    @ApiModelProperty(value = "积分")
    private Long points;

    /**
     * 活动名称
     */
    @Excel(name = "活动名称")
    @ApiModelProperty(value = "活动名称")
    private String name;

    /**
     * 活动内容
     */
    @Excel(name = "活动内容")
    @ApiModelProperty(value = "活动内容")
    private String content;

    /**
     * 活动举办方
     */
    @Excel(name = "活动举办方")
    @ApiModelProperty(value = "活动举办方")
    private String publisher;

    /**
     * 活动时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "活动时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "活动时间")
    private Date activityTime;

    /**
     * 活动地址
     */
    @Excel(name = "活动地址")
    @ApiModelProperty(value = "活动地址")
    private String address;

    /**
     * 创建者ID
     */
    @Excel(name = "创建者ID")
    @ApiModelProperty(value = "创建者ID")
    private Long createId;

    /**
     * 更新者ID
     */
    @Excel(name = "更新者ID")
    @ApiModelProperty(value = "更新者ID")
    private Long updateId;

    /**
     * 用户权限id
     */
    @Excel(name = "用户权限id")
    @ApiModelProperty(value = "用户权限id")
    private Long userId;

    /**
     * 部门权限id
     */
    @Excel(name = "部门权限id")
    @ApiModelProperty(value = "部门权限id")
    private Long deptId;


    /**
     * 1:电子证书 2:纸质证书
     */
    @ApiModelProperty(value = "1:电子证书 2:纸质证书")
    private Integer type;

    /**
     * 发证状态
     */
    @ApiModelProperty(value = "发证状态")
    private Boolean issuanceStatus;

    /**
     * 发证时间
     */
    @ApiModelProperty(value = "发证时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date timeOfIssuance;

    /**
     * 用户昵称
     */
    @Excel(name = "用户名称")
    @ApiModelProperty(value = "用户名称")
    private String userName;

    /**
     * 手机号码
     */
    @Excel(name = "手机号码")
    @ApiModelProperty(value = "手机号码")
    private String phonenumber;

    /**
     * 快递公司
     */
    @Excel(name = "快递公司")
    @ApiModelProperty(value = "快递公司")
    private String courierCompanies;
    /**
     * 快递单号
     */
    @Excel(name = "快递单号")
    @ApiModelProperty(value = "快递单号")
    private String trackingNumber;
    /**
     * 邮寄地址
     */
    @Excel(name = "邮寄地址")
    @ApiModelProperty(value = "邮寄地址")
    private String mailAddress;

}
