package com.ruoyi.zhiyuanzhe.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 个性化证书管理对象 b_certificates
 *
 * @author ruoyi
 * @date 2023-09-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("个性化证书管理对象")
public class BCertificates extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 证书名称
     */
    @ApiModelProperty(value = "证书名称")
    @Excel(name = "证书名称")
    private String name;

    /**
     * 0=个性化证书,1=一次性证书
     */
    @ApiModelProperty(value = "证书类型,0=个性化证书,1=一次性证书")
    @Excel(name = "证书类型", readConverterExp = "0=个性化证书,1=一次性证书")
    private String type;

    /**
     * 证书封面
     */
    @ApiModelProperty(value = "证书封面")
    @Excel(name = "证书封面")
    private String cover;

    /**
     * 证书内容
     */
    @ApiModelProperty(value = "证书内容")
    @Excel(name = "证书内容")
    private String content;

    /**
     * 证书时间
     */
    @ApiModelProperty(value = "证书时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "证书时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date datetime;

    /**
     * 积分
     */
    @ApiModelProperty(value = "积分")
    @Excel(name = "积分")
    private Long integral;

    /**
     * 创建者ID
     */
    @Excel(name = "创建者ID")
    private Long createId;

    /**
     * 更新者ID
     */
    @Excel(name = "更新者ID")
    private Long updateId;

    /**
     * 用户权限id
     */
    @Excel(name = "用户权限id")
    private Long userId;

    /**
     * 部门权限id
     */
    @Excel(name = "部门权限id")
    private Long deptId;

}
