package com.ruoyi.zhiyuanzhe.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 人标签对象 b_person_tags
 *
 * @author ruoyi
 * @date 2023-09-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("人标签对象")
public class BPersonTags extends BaseEntity {
    private static final long serialVersionUID = 1L;
    /**
     * 年龄
     */
    String[] ages;
    /**
     * 编号
     */
    private Long id;
    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    @Excel(name = "用户id")
    private Long uId;

    /**
     * 用户名称
     */
    @ApiModelProperty(value = "用户名称")
    @Excel(name = "用户名称")
    private String nickName;
    /**
     * 年龄
     */
    @ApiModelProperty(value = "年龄")
    @Excel(name = "年龄")
    private String ageRange;
    /**
     * 小区
     */
    @ApiModelProperty(value = "小区")
    @Excel(name = "小区")
    private String housingRange;
    /**
     * 文化程度
     */
    @ApiModelProperty(value = "文化程度")
    @Excel(name = "文化程度")
    private String educationRange;
    /**
     * 兴趣爱好
     */
    @ApiModelProperty(value = "兴趣爱好")
    @Excel(name = "兴趣爱好")
    private String interestRange;
    /**
     * 政治面貌
     */
    @ApiModelProperty(value = "政治面貌")
    @Excel(name = "政治面貌")
    private String politicalRange;
    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    @Excel(name = "性别")
    private String sexRange;
    /**
     * 国籍
     */
    @ApiModelProperty(value = "国籍")
    @Excel(name = "国籍")
    private String nationalityRange;
    /**
     * 专业类型
     */
    @ApiModelProperty(value = "专业类型")
    @Excel(name = "专业类型")
    private String professionalRange;
    /**
     * 行业类型
     */
    @ApiModelProperty(value = "行业类型")
    @Excel(name = "行业类型")
    private String industryRange;
    /**
     * 院校
     */
    @ApiModelProperty(value = "院校")
    @Excel(name = "院校")
    private String schoolRange;
    /**
     * 创建者ID
     */
    @Excel(name = "创建者ID")
    private Long createId;
    /**
     * 更新者ID
     */
    @Excel(name = "更新者ID")
    private Long updateId;
    /**
     * 用户权限id
     */
    @Excel(name = "用户权限id")
    private Long userId;
    /**
     * 部门权限id
     */
    @Excel(name = "部门权限id")
    private Long deptId;
    /**
     * 用户匹配度 活动详情使用
     */
    @ApiModelProperty(value = "用户匹配度 活动详情使用")
    private Double degreeOfMatch;

    /**
     * 状态 0:未邀请 1:已邀请 2:已报名
     */
    @ApiModelProperty(value = "状态 0:未邀请 1:已邀请 2:已报名 活动详情使用")
    private Integer status;

}
