package com.ruoyi.zhiyuanzhe.domain.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 发放一次性证书请求类
 */
@Data
@ApiModel("发放一次性证书请求类")
public class BActivityPointsRequest implements Serializable {


    private static final long serialVersionUID = -7395054359456604685L;

    /**
     * id
     */
    @ApiModelProperty("id")
    @NotNull(message = "id不能为空")
    private Long id;

    /**
     * 1:电子证书 2:纸质证书
     */
    @ApiModelProperty(value = "1:电子证书 2:纸质证书")
    @NotNull(message = "证书类型不能为空")
    private Integer type;

    /**
     * 快递单号
     */
    @ApiModelProperty(value = "快递单号")
    private String trackingNumber;

    /**
     * 快递公司
     */
    @ApiModelProperty(value = "快递公司")
    private String courierCompanies;

}
