package com.ruoyi.zhiyuanzhe.mapper;

import com.ruoyi.zhiyuanzhe.domain.BActivityPoints;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 活动积分Mapper接口
 *
 * @author ruoyi
 * @date 2023-09-19
 */
public interface BActivityPointsMapper {
    /**
     * 查询活动积分
     *
     * @param id 活动积分主键
     * @return 活动积分
     */
    BActivityPoints selectBActivityPointsById(Long id);

    /**
     * 查询活动积分列表
     *
     * @param bActivityPoints 活动积分
     * @return 活动积分集合
     */
    List<BActivityPoints> selectBActivityPointsList(BActivityPoints bActivityPoints);

    /**
     * 新增活动积分
     *
     * @param bActivityPoints 活动积分
     * @return 结果
     */
    int insertBActivityPoints(BActivityPoints bActivityPoints);

    /**
     * 修改活动积分
     *
     * @param bActivityPoints 活动积分
     * @return 结果
     */
    int updateBActivityPoints(BActivityPoints bActivityPoints);

    /**
     * 删除活动积分
     *
     * @param id 活动积分主键
     * @return 结果
     */
    int deleteBActivityPointsById(Long id);

    /**
     * 批量删除活动积分
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBActivityPointsByIds(Long[] ids);

    /**
     * 获取用户所有积分
     *
     * @param userId 用户id
     * @return 积分
     */
    Integer findPointsByUserId(@Param("userId") Long userId);
}
