package com.ruoyi.zhiyuanzhe.mapper;

import com.ruoyi.zhiyuanzhe.domain.BActivity;
import com.ruoyi.zhiyuanzhe.domain.BActivityUser;
import com.ruoyi.zhiyuanzhe.domain.BPersonTags;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 人标签Mapper接口
 *
 * @author ruoyi
 * @date 2023-09-18
 */
public interface BPersonTagsMapper {
    /**
     * 查询人标签
     *
     * @param id 人标签主键
     * @return 人标签
     */
    public BPersonTags selectBPersonTagsById(Long id);

    /**
     * 查询人标签列表
     *
     * @param bPersonTags 人标签
     * @return 人标签集合
     */
    public List<BPersonTags> selectBPersonTagsList(BPersonTags bPersonTags);

    /**
     * 新增人标签
     *
     * @param bPersonTags 人标签
     * @return 结果
     */
    public int insertBPersonTags(BPersonTags bPersonTags);

    /**
     * 修改人标签
     *
     * @param bPersonTags 人标签
     * @return 结果
     */
    public int updateBPersonTags(BPersonTags bPersonTags);

    /**
     * 删除人标签
     *
     * @param id 人标签主键
     * @return 结果
     */
    public int deleteBPersonTagsById(Long id);

    /**
     * 批量删除人标签
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBPersonTagsByIds(Long[] ids);

    /**
     * 根据活动标签匹配用户
     *
     * @param bActivity 活动标签
     * @return 用户信息以及匹配度
     */
    List<BActivityUser> findByTags(@Param("req") BActivity bActivity);
}
