package com.ruoyi.zhiyuanzhe.service;

import com.ruoyi.zhiyuanzhe.domain.BActivity;
import com.ruoyi.zhiyuanzhe.domain.BActivityUser;
import com.ruoyi.zhiyuanzhe.domain.BPersonTags;
import com.ruoyi.zhiyuanzhe.domain.request.ActivityInviteRequest;
import com.ruoyi.zhiyuanzhe.domain.request.EventRecommendationsRequest;

import java.util.List;

/**
 * 活动人员关联业务层
 *
 * @author wu
 * @since 2023/9/28 15:38
 */
public interface ActivityUserService {

    /**
     * 批量新增数据
     *
     * @param list 人员活动关联数据
     */
    void addList(List<BActivityUser> list);

    /**
     * 删除所有用户
     *
     * @param activityId – 活动标签
     */
    void delByActivityId(Long activityId);

    /**
     * 查询人员信息
     *
     * @param status 状态
     * @param id     活动id
     * @return 人员信息
     */
    List<BPersonTags> findUserByStatusAndActivityId(Integer status, Long id);

    /**
     * 邀请人员
     *
     * @param req 活动id和用户id
     */
    void invite(ActivityInviteRequest req);

    /**
     * 活动推荐
     *
     * @param req 活动搜索条件
     * @return 活动信息
     */
    List<BActivity> eventRecommendations(EventRecommendationsRequest req);

    void enroll(ActivityInviteRequest req);

    /**
     * 活动邀请列表
     *
     * @param req 活动搜索条件
     * @return 活动信息
     */
    List<BActivity> eventInvitations(EventRecommendationsRequest req);
}
