package com.ruoyi.zhiyuanzhe.service;


import com.ruoyi.zhiyuanzhe.domain.BCertificates;
import com.ruoyi.zhiyuanzhe.domain.request.BCertificatesRequest;

import java.util.List;
import java.util.Map;


/**
 * 证书管理Service接口
 *
 * @author ruoyi
 * @date 2023-09-19
 */
public interface IBCertificatesService {
    /**
     * 查询证书管理
     *
     * @param id 证书管理主键
     * @return 证书管理
     */
    BCertificates selectBCertificatesById(Long id);

    /**
     * 查询证书管理列表
     *
     * @param bCertificates 证书管理
     * @return 证书管理集合
     */
    List<BCertificates> selectBCertificatesList(BCertificates bCertificates);

    /**
     * 新增证书管理
     *
     * @param bCertificates 证书管理
     * @return 结果
     */
    int insertBCertificates(BCertificates bCertificates);

    /**
     * 修改证书管理
     *
     * @param bCertificates 证书管理
     * @return 结果
     */
    int updateBCertificates(BCertificates bCertificates);

    /**
     * 批量删除证书管理
     *
     * @param ids 需要删除的证书管理主键集合
     * @return 结果
     */
    int deleteBCertificatesByIds(Long[] ids);

    /**
     * 删除证书管理信息
     *
     * @param id 证书管理主键
     * @return 结果
     */
    int deleteBCertificatesById(Long id);


    /**
     * 根据分页条件查询一次性活动证书发放管理列表
     *
     * @return 所有数据
     */
    Map<String, Object> page(BCertificatesRequest req);

    /**
     * 根据查询条件查询可以兑换的证书
     *
     * @param bCertificates 查询条件
     * @return 可以兑换的证书
     */
    List<BCertificates> PagePointsRedemption(BCertificatesRequest bCertificates);
}
