package com.ruoyi.zhiyuanzhe.service;

import com.ruoyi.zhiyuanzhe.domain.BActivity;
import com.ruoyi.zhiyuanzhe.domain.BActivityUser;
import com.ruoyi.zhiyuanzhe.domain.BPersonTags;

import java.util.List;


/**
 * 人标签Service接口
 *
 * @author ruoyi
 * @date 2023-09-18
 */
public interface IBPersonTagsService {
    /**
     * 查询人标签
     *
     * @param id 人标签主键
     * @return 人标签
     */
    BPersonTags selectBPersonTagsById(Long id);

    /**
     * 查询人标签列表
     *
     * @param bPersonTags 人标签
     * @return 人标签集合
     */
    List<BPersonTags> selectBPersonTagsList(BPersonTags bPersonTags);

    /**
     * 新增人标签
     *
     * @param bPersonTags 人标签
     * @return 结果
     */
    int insertBPersonTags(BPersonTags bPersonTags);

    /**
     * 修改人标签
     *
     * @param bPersonTags 人标签
     * @return 结果
     */
    int updateBPersonTags(BPersonTags bPersonTags);

    /**
     * 批量删除人标签
     *
     * @param ids 需要删除的人标签主键集合
     * @return 结果
     */
    int deleteBPersonTagsByIds(Long[] ids);

    /**
     * 删除人标签信息
     *
     * @param id 人标签主键
     * @return 结果
     */
    int deleteBPersonTagsById(Long id);

    /**
     * 根据活动标签匹配用户
     *
     * @param bActivity 活动标签
     * @return 用户信息以及匹配度
     */
    List<BActivityUser> findByTags(BActivity bActivity);

}
