package com.ruoyi.zhiyuanzhe.service;

import com.ruoyi.zhiyuanzhe.domain.BCertificates;
import com.ruoyi.zhiyuanzhe.domain.request.BCertificatesRequest;
import com.ruoyi.zhiyuanzhe.domain.request.PointsRedemptionExchangeRequest;

import java.util.List;

/**
 * 积分兑换消费 业务层
 *
 * @author wu
 * @since 2023/9/27 10:49
 */
public interface PointsRedemptionService {

    /**
     * 查询可以兑换证书列表
     *
     * @param bCertificates 查询条件
     * @return 个性化证书列表
     */
    List<BCertificates> page(BCertificatesRequest bCertificates);

    /**
     * 兑换证书
     *
     * @param req 兑换证书请求类
     */
    void exchange(PointsRedemptionExchangeRequest req);

    /**
     * 查看证书详情
     *
     * @param id 证书id
     * @return 证书详情
     */
    BCertificates findCertificatesById(Long id);

    /**
     * 查询用户所有积分
     *
     * @return 积分
     */
    Integer findIntegral();
}
