package com.ruoyi.zhiyuanzhe.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.zhiyuanzhe.domain.BInvite;
import com.ruoyi.zhiyuanzhe.mapper.BInviteMapper;
import com.ruoyi.zhiyuanzhe.service.IBInviteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 邀请Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-09-19
 */
@Service
public class BInviteServiceImpl implements IBInviteService
{
    @Autowired
    private BInviteMapper bInviteMapper;

    /**
     * 查询邀请
     * 
     * @param id 邀请主键
     * @return 邀请
     */
    @Override
    public BInvite selectBInviteById(Long id)
    {
        return bInviteMapper.selectBInviteById(id);
    }

    /**
     * 查询邀请列表
     * 
     * @param bInvite 邀请
     * @return 邀请
     */
    @Override
    public List<BInvite> selectBInviteList(BInvite bInvite)
    {
        return bInviteMapper.selectBInviteList(bInvite);
    }

    /**
     * 新增邀请
     * 
     * @param bInvite 邀请
     * @return 结果
     */
    @Override
    public int insertBInvite(BInvite bInvite)
    {
        bInvite.setCreateTime(DateUtils.getNowDate());
        return bInviteMapper.insertBInvite(bInvite);
    }

    /**
     * 修改邀请
     * 
     * @param bInvite 邀请
     * @return 结果
     */
    @Override
    public int updateBInvite(BInvite bInvite)
    {
        bInvite.setUpdateTime(DateUtils.getNowDate());
        return bInviteMapper.updateBInvite(bInvite);
    }

    /**
     * 批量删除邀请
     * 
     * @param ids 需要删除的邀请主键
     * @return 结果
     */
    @Override
    public int deleteBInviteByIds(Long[] ids)
    {
        return bInviteMapper.deleteBInviteByIds(ids);
    }

    /**
     * 删除邀请信息
     * 
     * @param id 邀请主键
     * @return 结果
     */
    @Override
    public int deleteBInviteById(Long id)
    {
        return bInviteMapper.deleteBInviteById(id);
    }
}
